<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: MainController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-awesome.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only-darkmode-toggle.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA<span id="projectnumber">&#160;0.0.1</span>
   </div>
   <div id="projectbrief">Central de Parametrização do Autônomo</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dd7/classmain_controller_1_1_main_controller.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle"><div class="title">MainController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for MainController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/dd7/classmain_controller_1_1_main_controller.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7428e8d809bb01d4366078246a2fb175" id="r_a7428e8d809bb01d4366078246a2fb175"><td class="memItemLeft" align="right" valign="top"><a id="a7428e8d809bb01d4366078246a2fb175" name="a7428e8d809bb01d4366078246a2fb175"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, parent, engine)</td></tr>
<tr class="separator:a7428e8d809bb01d4366078246a2fb175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af031211734af6108b775270f08c2399b" id="r_af031211734af6108b775270f08c2399b"><td class="memItemLeft" align="right" valign="top"><a id="af031211734af6108b775270f08c2399b" name="af031211734af6108b775270f08c2399b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>addApplication</b> (self, name, app)</td></tr>
<tr class="separator:af031211734af6108b775270f08c2399b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a266f06f93e3b70e9854d1a76df36d3bf" id="r_a266f06f93e3b70e9854d1a76df36d3bf"><td class="memItemLeft" align="right" valign="top"><a id="a266f06f93e3b70e9854d1a76df36d3bf" name="a266f06f93e3b70e9854d1a76df36d3bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>removeApplication</b> (self)</td></tr>
<tr class="separator:a266f06f93e3b70e9854d1a76df36d3bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846f9b31091ec7b44cabfff03fcdbb7b" id="r_a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memItemLeft" align="right" valign="top"><a id="a846f9b31091ec7b44cabfff03fcdbb7b" name="a846f9b31091ec7b44cabfff03fcdbb7b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug</b> (self, str='')</td></tr>
<tr class="separator:a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f0d755accd6575da2fe42de4946070" id="r_a08f0d755accd6575da2fe42de4946070"><td class="memItemLeft" align="right" valign="top"><a id="a08f0d755accd6575da2fe42de4946070" name="a08f0d755accd6575da2fe42de4946070"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>refreshCOMPorts</b> (self)</td></tr>
<tr class="separator:a08f0d755accd6575da2fe42de4946070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff4d4e4110d9972de5b25e089208727b" id="r_aff4d4e4110d9972de5b25e089208727b"><td class="memItemLeft" align="right" valign="top"><a id="aff4d4e4110d9972de5b25e089208727b" name="aff4d4e4110d9972de5b25e089208727b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>texto</b> (self)</td></tr>
<tr class="separator:aff4d4e4110d9972de5b25e089208727b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6172565b0dcb09fe146ac581d2c9b7c" id="r_af6172565b0dcb09fe146ac581d2c9b7c"><td class="memItemLeft" align="right" valign="top"><a id="af6172565b0dcb09fe146ac581d2c9b7c" name="af6172565b0dcb09fe146ac581d2c9b7c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>texto</b> (self, val)</td></tr>
<tr class="separator:af6172565b0dcb09fe146ac581d2c9b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a457d913bff1ebc8671c1eca1c9d5fc03" id="r_a457d913bff1ebc8671c1eca1c9d5fc03"><td class="memItemLeft" align="right" valign="top"><a id="a457d913bff1ebc8671c1eca1c9d5fc03" name="a457d913bff1ebc8671c1eca1c9d5fc03"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>parent</b></td></tr>
<tr class="separator:a457d913bff1ebc8671c1eca1c9d5fc03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4720cf3b5a198cd8121ea0e55bdb2954" id="r_a4720cf3b5a198cd8121ea0e55bdb2954"><td class="memItemLeft" align="right" valign="top"><a id="a4720cf3b5a198cd8121ea0e55bdb2954" name="a4720cf3b5a198cd8121ea0e55bdb2954"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>engine</b></td></tr>
<tr class="separator:a4720cf3b5a198cd8121ea0e55bdb2954"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe346696388f45a1f5f62d786b7f6360" id="r_afe346696388f45a1f5f62d786b7f6360"><td class="memItemLeft" align="right" valign="top"><a id="afe346696388f45a1f5f62d786b7f6360" name="afe346696388f45a1f5f62d786b7f6360"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>availableCOMports</b></td></tr>
<tr class="separator:afe346696388f45a1f5f62d786b7f6360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b5fcae959cd624afdc1ab5c57ab4a66" id="r_a1b5fcae959cd624afdc1ab5c57ab4a66"><td class="memItemLeft" align="right" valign="top"><a id="a1b5fcae959cd624afdc1ab5c57ab4a66" name="a1b5fcae959cd624afdc1ab5c57ab4a66"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>texto</b></td></tr>
<tr class="separator:a1b5fcae959cd624afdc1ab5c57ab4a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a8bcd5818364d0f3be81f72d91551ddf6" id="r_a8bcd5818364d0f3be81f72d91551ddf6"><td class="memItemLeft" align="right" valign="top"><a id="a8bcd5818364d0f3be81f72d91551ddf6" name="a8bcd5818364d0f3be81f72d91551ddf6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>communicationHandler</b> = None</td></tr>
<tr class="separator:a8bcd5818364d0f3be81f72d91551ddf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1f9e91600e342b572ac9e5a83372fe" id="r_a3a1f9e91600e342b572ac9e5a83372fe"><td class="memItemLeft" align="right" valign="top"><a id="a3a1f9e91600e342b572ac9e5a83372fe" name="a3a1f9e91600e342b572ac9e5a83372fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug_timer</b> = None</td></tr>
<tr class="separator:a3a1f9e91600e342b572ac9e5a83372fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2d5ef2b18225bfd63beca364ca9b1cd" id="r_aa2d5ef2b18225bfd63beca364ca9b1cd"><td class="memItemLeft" align="right" valign="top"><a id="aa2d5ef2b18225bfd63beca364ca9b1cd" name="aa2d5ef2b18225bfd63beca364ca9b1cd"></a>
dict&#160;</td><td class="memItemRight" valign="bottom"><b>application_ledger</b> = {}</td></tr>
<tr class="separator:aa2d5ef2b18225bfd63beca364ca9b1cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af44ba3f8c1219230a96dca6879e0a836" id="r_af44ba3f8c1219230a96dca6879e0a836"><td class="memItemLeft" align="right" valign="top"><a id="af44ba3f8c1219230a96dca6879e0a836" name="af44ba3f8c1219230a96dca6879e0a836"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>portListModel</b> = QStringListModel()</td></tr>
<tr class="separator:af44ba3f8c1219230a96dca6879e0a836"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ab5c10f3ae06012adefed238806036bf2" id="r_ab5c10f3ae06012adefed238806036bf2"><td class="memItemLeft" align="right" valign="top"><a id="ab5c10f3ae06012adefed238806036bf2" name="ab5c10f3ae06012adefed238806036bf2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_text</b></td></tr>
<tr class="separator:ab5c10f3ae06012adefed238806036bf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-static-attribs" name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a1bfd871da29c4a232bb380ee8be76d7a" id="r_a1bfd871da29c4a232bb380ee8be76d7a"><td class="memItemLeft" align="right" valign="top"><a id="a1bfd871da29c4a232bb380ee8be76d7a" name="a1bfd871da29c4a232bb380ee8be76d7a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_availableCOMports</b> = QStringListModel()</td></tr>
<tr class="separator:a1bfd871da29c4a232bb380ee8be76d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d8da1b0166b2f6a7abb66c3815bb2b" id="r_ac3d8da1b0166b2f6a7abb66c3815bb2b"><td class="memItemLeft" align="right" valign="top"><a id="ac3d8da1b0166b2f6a7abb66c3815bb2b" name="ac3d8da1b0166b2f6a7abb66c3815bb2b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_availableCOMports_changed</b> = Signal()</td></tr>
<tr class="separator:ac3d8da1b0166b2f6a7abb66c3815bb2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7e25f4ef9e00f367ac0088e5cecd2a" id="r_aef7e25f4ef9e00f367ac0088e5cecd2a"><td class="memItemLeft" align="right" valign="top"><a id="aef7e25f4ef9e00f367ac0088e5cecd2a" name="aef7e25f4ef9e00f367ac0088e5cecd2a"></a>
str&#160;</td><td class="memItemRight" valign="bottom"><b>_text</b> = &quot;&quot;</td></tr>
<tr class="separator:aef7e25f4ef9e00f367ac0088e5cecd2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb5111d3a4cf5c2dca0d15366a2b6cf" id="r_a5fb5111d3a4cf5c2dca0d15366a2b6cf"><td class="memItemLeft" align="right" valign="top"><a id="a5fb5111d3a4cf5c2dca0d15366a2b6cf" name="a5fb5111d3a4cf5c2dca0d15366a2b6cf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_text_changed</b> = Signal()</td></tr>
<tr class="separator:a5fb5111d3a4cf5c2dca0d15366a2b6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>python/<b>mainController.py</b></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>mainController</b></li><li class="navelem"><a class="el" href="../../d8/dd7/classmain_controller_1_1_main_controller.html">MainController</a></li>
    <li class="footer">Generated on Wed Dec 6 2023 13:24:23 for CPA by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
